=== debian/changelog ===
vdr (2.2.0-5build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 12:48:49 +0000

vdr (2.2.0-5) unstable; urgency=medium

  * Fixed typo in vdr.NEWS
  * Fixed typo in systemd service causing the reccmds merging to fail

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Nov 2015 20:49:01 +0100

vdr (2.2.0-4) unstable; urgency=medium

  * Fixed installation of auto generated plugin config to happen before
    dh_fixperms

 -- Tobias Grimm <etobi@debian.org>  Tue, 06 Oct 2015 23:25:03 +0200

vdr (2.2.0-3) unstable; urgency=medium

  * Build-depend on libsystemd-dev
  * Force sorting of files in dh_vdrplugin_enable to get a reproducible build
  * Mark the plugin packages as enhancements to the vdr package

 -- Tobias Grimm <etobi@debian.org>  Mon, 05 Oct 2015 21:36:30 +0200

vdr (2.2.0-2) unstable; urgency=medium

  * Use debhelper addon for dvb(sd|hd)device plugins

 -- Tobias Grimm <etobi@debian.org>  Wed, 23 Sep 2015 22:17:04 +0200

vdr (2.2.0-1) unstable; urgency=medium

  * New upstream release
  * Dropped upgrade code for pre-Squeeze releases
  * Default video directory is now /var/lib/video because multiple video
    directories are not supported anymore
  * When LIRC is set to an empty string, disable LIRC. By default use
    /var/run/lirc/lircd
  * Updated copyright
  * Arguments for vdr are now read from /etc/vdr/conf.d/
  * Plugins must provide a config, which may cointain plugin arguments, in
    /etc/vdr/conf.d/ in order to be loaded
  * Install a debhelper addon in vdr-dev which supports the plugin packaging
  * Delete /etc/vdr/conf.d on purge
  * Removed the VDR_CHARSET_OVERRIDE from /etc/default/vdr - replaced with the
   --chartab command line argument
  * Removed dvb-modules reloading code (Closes: #512362)
  * Added bash completion for svdrpesend (taken from yaVDR / Lars Hanisch)
  * Added systemd support
  * Removed ENABLED setting from /etc/default/vdr - the vdr daemon is now
    enabled by default and might be disabled manuall via update-rc.d / systemctl
  * Removed bashism from merge-commands.conf (Closes: #799483)

 -- Tobias Grimm <etobi@debian.org>  Mon, 21 Sep 2015 21:45:53 +0200
