=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), libjpeg-dev, libcap-dev,
+Build-Depends: debhelper (>= 9), bash-completion, dh-systemd, libjpeg-dev, libcap-dev,
   libncursesw5-dev, libfreetype6-dev, libfontconfig-dev, gettext,
-  python, linux-libc-dev (>= 3.0), libfribidi-dev
+  python, linux-libc-dev (>= 3.0), libfribidi-dev, libsystemd-dev
 Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/pkg-vdr-dvb/vdr.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr.git
@@ -13,7 +13,7 @@
 
 Package: vdr
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, psmisc
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Recommends: lirc, ttf-bitstream-vera | fonts-freefont-ttf
 Suggests: vdr-plugin-dvbsddevice
 Provides: ${vdr:Provides}
@@ -60,6 +60,7 @@
 Package: vdr-plugin-dvbsddevice
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
+Enhances: vdr
 Description: Plugin that adds support for full featured SD-DVB cards to VDR
  Video Disk Recorder (VDR) is a digital sat-receiver program using
  Linux and DVB technologies. It allows one to record MPEG2 streams,
@@ -86,6 +87,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
 Replaces: vdr (<< 2.0.1-1)
 Breaks: vdr (<< 2.0.1-1)
+Enhances: vdr
 Description: Plugin that adds support for full featured HD-DVB cards to VDR
  Video Disk Recorder (VDR) is a digital sat-receiver program using
  Linux and DVB technologies. It allows one to record MPEG2 streams,
@@ -111,6 +113,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, vdr (= ${binary:Version})
 Replaces: vdr (<< 2.0.1-1)
 Breaks: vdr (<< 2.0.1-1)
+Enhances: vdr
 Description: Plugins for vdr to show some possible features
  Video Disk Recorder (VDR) is a digital sat-receiver program using
  Linux and DVB technologies. It allows one to record MPEG2 streams,
